Package de.willuhn.jameica.hbci.passports.pintan.server

# Class PinTanConfigImpl

java.lang.Object
de.willuhn.jameica.hbci.passports.pintan.server.PinTanConfigImpl

All Implemented Interfaces:
  `de.willuhn.datasource.GenericObject`, `Configuration`, `PinTanConfig`, `Remote`

public class PinTanConfigImpl extends Object implements PinTanConfig
Implementierung eines in Hibiscus existierenden RDH-Schluessels.

## Constructor Summary

Constructors
Constructor
Description
`PinTanConfigImpl(PassportLoader loader, File file)`
ct.

## Method Summary

Modifier and Type
Method
Description
`void`
`addTanMedia(String name)`
Fuegt ein neues TAN-Medium zur Liste der bekannten hinzu.
`void`
`delete()`
Loescht die Konfiguration.
`boolean`
`equals(de.willuhn.datasource.GenericObject other)`
`Object`
`getAttribute(String attribute)`
`String[]`
`getAttributeNames()`
`List<PtSecMech>`
`getAvailableSecMechs()`
Liefert die Liste der verfuegbaren TAN-Verfahren.
`List<String>`
`getAvailableTanMedias()`
Liefert die Liste der von der Bank gelieferten TAN-Medien-Bezeichnungen.
`String`
`getBezeichnung()`
Optionale Angabe einer Bezeichnung fuer die Konfig.
`String`
`getBLZ()`
Liefert die BLZ fuer die diese Config zustaendig ist.
`String`
`getCardReader()`
Liefert eine optionale Bezeichnung fuer den zu nutzenden Karteleser.
`Class`
`getConfigDialog()`
Liefert die Klasse des Konfigurationsdialogs.
`PtSecMech`
`getCurrentSecMech()`
Liefert das aktuell ausgewaehlte TAN-Verfahren.
`String`
`getCustomerId()`
Liefert die Kundenkennung.
`String`
`getCustomProperty(String name)`
Liefert ein Custom-Property.
`String`
`getDescription()`
Liefert einen Beschreibungstext fuer die Konfiguration.
`String`
`getFilename()`
Dateiname der HBCI4Java-Config.
`String`
`getFilterType()`
Liefert den Filter-Typ.
`String`
`getHBCIVersion()`
Liefert die HBCI-Version.
`String`
`getID()`
`Konto[]`
`getKonten()`
Liefert eine optionale Liste von hart verdrahteten Konten.
`org.kapott.hbci.passport.HBCIPassport`
`getPassport()`
Liefert den Passport.
`int`
`getPort()`
Liefert den TCP-Port des Servers.
`String`
`getPrimaryAttribute()`
`boolean`
`getShowTan()`
Prueft, ob die TAN waehrend der Eingabe angezeigt werden soll.
`PtSecMech`
`getStoredSecMech()`
Liefert das gespeicherte TAN-Verfahren.
`String`
`getTanMedia()`
Liefert das zuletzt verwendete TAN-Medium.
`String[]`
`getTanMedias()`
Liefert die Liste der zuletzt eingegebenen TAN-Medien-Bezeichnungen.
`String`
`getURL()`
Liefert die HTTPs-URL, ueber die die Bank erreichbar ist.
`String`
`getUserId()`
Liefert die Benutzerkennung.
`Boolean`
`isChipTANUSB()`
Liefert true, wenn chipTAN USB verwendet werden soll.
`boolean`
`isConvertFlickerToQRCode()`
Liefert true, wenn statt einem Flicker-Code eine QR-Code-Abfrage erscheinen soll.
`void`
`reload()`
Forciert ein Neuladen das in der Config gespeicherten Passport.
`void`
`setAvailableSecMechs(String list)`
Speichert die Liste der verfuegbaren TAN-Verfahren.
`void`
`setAvailableTanMedias(String list)`
Speichert die Liste der von der Bank gelieferten TAN-Medien-Bezeichnungen.
`void`
`setBezeichnung(String bezeichnung)`
Speichert eine optionale Bezeichnung fuer die Konfig.
`void`
`setCardReader(String name)`
Speichert den Namen des zu verwendenden Kartenlesers.
`void`
`setChipTANUSB(Boolean b)`
Legt fest, ob chipTAN USB genutzt werden soll.
`void`
`setConvertFlickerToQRCode(boolean b)`
Legt fest, ob statt einem Flicker-Code eine QR-Code-Abfrage erscheinen soll.
`void`
`setCurrentSecMech(PtSecMech mech)`
Speichert das aktuell ausgewaehlte TAN-Verfahren.
`void`
`setCustomerId(String customer)`
Speichert die Kundenkennung.
`void`
`setCustomProperty(String name, String value)`
Speichert ein Custom-Property.
`void`
`setFilterType(String type)`
Legt den Filter-Typ fest.
`void`
`setHBCIVersion(String version)`
Speichert die zu verwendende HBCI-Version.
`void`
`setKonten(Konto[] k)`
Speichert eine optionale Liste von festzugeordneten Konten.
`void`
`setPort(int port)`
Definiert den TCP-Port.
`void`
`setShowTan(boolean show)`
Legt fest, ob die TANs bei der Eingabe angezeigt werden sollen.
`void`
`setStoredSecMech(PtSecMech mech)`
Speichert das TAN-Verfahren permanent.
`void`
`setTanMedia(String name)`
Speichert das zuletzt verwendete TAN-Medium.
`void`
`setTanMedias(String[] names)`
Speichert die Liste der zuletzt eingegebenen TAN-Medien-Bezeichnungen.
`void`
`setURL(String url)`
Speichert die HTTPs-URL, ueber die die Bank erreichbar ist.
`void`
`setUserId(String user)`
Speichert die Benutzerkennung.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PinTanConfigImpl

public PinTanConfigImpl(PassportLoader loader, File file) throws RemoteException
ct.

Parameters:
  `loader` -
  `file` -
Throws:
  `RemoteException`

## Method Details

### getAttribute

public Object getAttribute(String attribute) throws RemoteException

Specified by:
  `getAttribute` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.getAttribute(java.lang.String)`

### getDescription

public String getDescription()
Description copied from interface: `Configuration`
Liefert einen Beschreibungstext fuer die Konfiguration.

Specified by:
  `getDescription` in interface `Configuration`
Returns:
  Beschreibungstext.
See Also:
  - `Configuration.getDescription()`

### getConfigDialog

public Class getConfigDialog() throws RemoteException
Description copied from interface: `Configuration`
Liefert die Klasse des Konfigurationsdialogs. Oeffnet der Anwender den Konfigurations-Dialog durch Doppelklick auf die Liste der vorhandenen Konfigurationen, dann wird eine Instanz dieser Klasse erzeugt und in der GUI angezeigt. Als Referenz kann hierzu de.willuhn.jameica.passports.ddv.View dienen.

Specified by:
  `getConfigDialog` in interface `Configuration`
Returns:
  Die Klasse des Konfig-Dialogs. Muss von `AbstractView` abgeleitet sein.
Throws:
  `RemoteException`
See Also:
  - `Configuration.getConfigDialog()`

### delete

public void delete() throws de.willuhn.util.ApplicationException
Description copied from interface: `Configuration`
Loescht die Konfiguration.

Specified by:
  `delete` in interface `Configuration`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `Configuration.delete()`

### getAttributeNames

public String[] getAttributeNames() throws RemoteException

Specified by:
  `getAttributeNames` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.getAttributeNames()`

### getID

public String getID() throws RemoteException

Specified by:
  `getID` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.getID()`

### getPrimaryAttribute

public String getPrimaryAttribute() throws RemoteException

Specified by:
  `getPrimaryAttribute` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.getPrimaryAttribute()`

### equals

public boolean equals(de.willuhn.datasource.GenericObject other) throws RemoteException

Specified by:
  `equals` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.equals(de.willuhn.datasource.GenericObject)`

### getHBCIVersion

public String getHBCIVersion() throws RemoteException
Description copied from interface: `PinTanConfig`
Liefert die HBCI-Version.

Specified by:
  `getHBCIVersion` in interface `PinTanConfig`
Returns:
  HBCI-Version.
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.getHBCIVersion()`

### setHBCIVersion

public void setHBCIVersion(String version) throws RemoteException
Description copied from interface: `PinTanConfig`
Speichert die zu verwendende HBCI-Version.

Specified by:
  `setHBCIVersion` in interface `PinTanConfig`
Parameters:
  `version` - HBCI-Version.
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.setHBCIVersion(java.lang.String)`

### getURL

public String getURL() throws RemoteException
Description copied from interface: `PinTanConfig`
Liefert die HTTPs-URL, ueber die die Bank erreichbar ist.

Specified by:
  `getURL` in interface `PinTanConfig`
Returns:
  URL
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.getURL()`

### setURL

public void setURL(String url) throws RemoteException
Description copied from interface: `PinTanConfig`
Speichert die HTTPs-URL, ueber die die Bank erreichbar ist. Wichtig: Das Protokoll ("https://") wird nicht mit abgespeichert.

Specified by:
  `setURL` in interface `PinTanConfig`
Parameters:
  `url` - URL
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.setURL(java.lang.String)`

### getPort

public int getPort() throws RemoteException
Description copied from interface: `PinTanConfig`
Liefert den TCP-Port des Servers. Default: "443".

Specified by:
  `getPort` in interface `PinTanConfig`
Returns:
  Port des Servers.
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.getPort()`

### setPort

public void setPort(int port) throws RemoteException
Description copied from interface: `PinTanConfig`
Definiert den TCP-Port.

Specified by:
  `setPort` in interface `PinTanConfig`
Parameters:
  `port` -
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.setPort(int)`

### getFilterType

public String getFilterType() throws RemoteException
Description copied from interface: `PinTanConfig`
Liefert den Filter-Typ. Default: "Base64".

Specified by:
  `getFilterType` in interface `PinTanConfig`
Returns:
  der Filter-Typ.
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.getFilterType()`

### setFilterType

public void setFilterType(String type) throws RemoteException
Description copied from interface: `PinTanConfig`
Legt den Filter-Typ fest.

Specified by:
  `setFilterType` in interface `PinTanConfig`
Parameters:
  `type` -
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.setFilterType(java.lang.String)`

### getBLZ

public String getBLZ() throws RemoteException
Description copied from interface: `PinTanConfig`
Liefert die BLZ fuer die diese Config zustaendig ist.

Specified by:
  `getBLZ` in interface `PinTanConfig`
Returns:
  BLZ.
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.getBLZ()`

### getCustomerId

public String getCustomerId() throws RemoteException
Description copied from interface: `PinTanConfig`
Liefert die Kundenkennung.

Specified by:
  `getCustomerId` in interface `PinTanConfig`
Returns:
  Kundenkennung.
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.getCustomerId()`

### setCustomerId

public void setCustomerId(String customer) throws RemoteException
Description copied from interface: `PinTanConfig`
Speichert die Kundenkennung.

Specified by:
  `setCustomerId` in interface `PinTanConfig`
Parameters:
  `customer` -
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.setCustomerId(java.lang.String)`

### getUserId

public String getUserId() throws RemoteException
Description copied from interface: `PinTanConfig`
Liefert die Benutzerkennung.

Specified by:
  `getUserId` in interface `PinTanConfig`
Returns:
  Benutzerkennung.
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.getUserId()`

### setUserId

public void setUserId(String user) throws RemoteException
Description copied from interface: `PinTanConfig`
Speichert die Benutzerkennung.

Specified by:
  `setUserId` in interface `PinTanConfig`
Parameters:
  `user` -
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.setUserId(java.lang.String)`

### getFilename

public String getFilename() throws RemoteException
Description copied from interface: `PinTanConfig`
Dateiname der HBCI4Java-Config.

Specified by:
  `getFilename` in interface `PinTanConfig`
Returns:
  HBCI4Java-Config.
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.getFilename()`

### getPassport

public org.kapott.hbci.passport.HBCIPassport getPassport() throws RemoteException
Description copied from interface: `PinTanConfig`
Liefert den Passport.

Specified by:
  `getPassport` in interface `PinTanConfig`
Returns:
  Passport.
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.getPassport()`

### getBezeichnung

public String getBezeichnung() throws RemoteException
Description copied from interface: `PinTanConfig`
Optionale Angabe einer Bezeichnung fuer die Konfig.

Specified by:
  `getBezeichnung` in interface `PinTanConfig`
Returns:
  Bezeichnung.
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.getBezeichnung()`

### setBezeichnung

public void setBezeichnung(String bezeichnung) throws RemoteException
Description copied from interface: `PinTanConfig`
Speichert eine optionale Bezeichnung fuer die Konfig.

Specified by:
  `setBezeichnung` in interface `PinTanConfig`
Parameters:
  `bezeichnung` - Bezeichnung.
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.setBezeichnung(java.lang.String)`

### getKonten

public Konto[] getKonten() throws RemoteException
Description copied from interface: `PinTanConfig`
Liefert eine optionale Liste von hart verdrahteten Konten. Das ist sinnvoll, wenn der User mehrere Konten bei der gleichen Bank mit unterschiedlichen PIN/TAN-Konfigurationen hat. Dann wuerde bei jeder Bank-Abfrage ein Dialog zur Auswahl der Config kommen, weils Hibiscus allein anhand BLZ/Kundenkennung nicht mehr unterscheiden kann.

Specified by:
  `getKonten` in interface `PinTanConfig`
Returns:
  Liste der optionalen Konten oder `null` BUGZILLA 173 BUGZILLA 314
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.getKonten()`

### setKonten

public void setKonten(Konto[] k) throws RemoteException
Description copied from interface: `PinTanConfig`
Speichert eine optionale Liste von festzugeordneten Konten. BUGZILLA 173 BUGZILLA 314

Specified by:
  `setKonten` in interface `PinTanConfig`
Parameters:
  `k` - Liste der Konten.
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.setKonten(de.willuhn.jameica.hbci.rmi.Konto[])`

### getStoredSecMech

public PtSecMech getStoredSecMech() throws RemoteException
Description copied from interface: `PinTanConfig`
Liefert das gespeicherte TAN-Verfahren.

Specified by:
  `getStoredSecMech` in interface `PinTanConfig`
Returns:
  das gespeicherte TAN-Verfahren oder NULL, wenn keines gespeichert wurde.
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.getStoredSecMech()`

### setStoredSecMech

public void setStoredSecMech(PtSecMech mech) throws RemoteException
Description copied from interface: `PinTanConfig`
Speichert das TAN-Verfahren permanent.

Specified by:
  `setStoredSecMech` in interface `PinTanConfig`
Parameters:
  `mech` - das TAN-Verfahrens.
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.setStoredSecMech(de.willuhn.jameica.hbci.passports.pintan.PtSecMech)`

### getCurrentSecMech

public PtSecMech getCurrentSecMech() throws RemoteException
Description copied from interface: `PinTanConfig`
Liefert das aktuell ausgewaehlte TAN-Verfahren.

Specified by:
  `getCurrentSecMech` in interface `PinTanConfig`
Returns:
  das aktuell ausgewaehlte TAN-Verfahren.
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.getCurrentSecMech()`

### setCurrentSecMech

public void setCurrentSecMech(PtSecMech mech) throws RemoteException
Description copied from interface: `PinTanConfig`
Speichert das aktuell ausgewaehlte TAN-Verfahren.

Specified by:
  `setCurrentSecMech` in interface `PinTanConfig`
Parameters:
  `mech` - das aktuell ausgewaehlte TAN-Verfahren.
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.setCurrentSecMech(de.willuhn.jameica.hbci.passports.pintan.PtSecMech)`

### getAvailableSecMechs

public List<PtSecMech> getAvailableSecMechs() throws RemoteException
Description copied from interface: `PinTanConfig`
Liefert die Liste der verfuegbaren TAN-Verfahren.

Specified by:
  `getAvailableSecMechs` in interface `PinTanConfig`
Returns:
  die Liste der verfuegbaren TAN-Verfahren. Nie NULL sondern hoechstens eine leere Liste.
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.getAvailableSecMechs()`

### setAvailableSecMechs

public void setAvailableSecMechs(String list) throws RemoteException
Description copied from interface: `PinTanConfig`
Speichert die Liste der verfuegbaren TAN-Verfahren.

Specified by:
  `setAvailableSecMechs` in interface `PinTanConfig`
Parameters:
  `list` - die Liste der verfuegbaren TAN-Verfahren als Pipe-separierte Liste.
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.setAvailableSecMechs(java.lang.String)`

### getCardReader

public String getCardReader() throws RemoteException
Description copied from interface: `PinTanConfig`
Liefert eine optionale Bezeichnung fuer den zu nutzenden Karteleser.

Specified by:
  `getCardReader` in interface `PinTanConfig`
Returns:
  eine optionale Bezeichnung fuer den zu nutzenden Karteleser.
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.getCardReader()`

### setCardReader

public void setCardReader(String name) throws RemoteException
Description copied from interface: `PinTanConfig`
Speichert den Namen des zu verwendenden Kartenlesers.

Specified by:
  `setCardReader` in interface `PinTanConfig`
Parameters:
  `name` - der Name des zu verwendenden Kartenlesers.
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.setCardReader(java.lang.String)`

### isChipTANUSB

public Boolean isChipTANUSB() throws RemoteException
Description copied from interface: `PinTanConfig`
Liefert true, wenn chipTAN USB verwendet werden soll.

Specified by:
  `isChipTANUSB` in interface `PinTanConfig`
Returns:
  true, wenn chipTAN USB verwendet werden soll. false, wenn es nicht verwendet werden soll. NULL, wenn der User die Entscheidung noch nicht getroffen hat.
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.isChipTANUSB()`

### setChipTANUSB

public void setChipTANUSB(Boolean b) throws RemoteException
Description copied from interface: `PinTanConfig`
Legt fest, ob chipTAN USB genutzt werden soll.

Specified by:
  `setChipTANUSB` in interface `PinTanConfig`
Parameters:
  `b` - true, wenn chipTAN USB genutzt werden soll. false, wenn es nicht verwendet werden soll. NULL, wenn der User die Entscheidung noch nicht getroffen hat.
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.setChipTANUSB(java.lang.Boolean)`

### isConvertFlickerToQRCode

public boolean isConvertFlickerToQRCode() throws RemoteException
Description copied from interface: `PinTanConfig`
Liefert true, wenn statt einem Flicker-Code eine QR-Code-Abfrage erscheinen soll.

Specified by:
  `isConvertFlickerToQRCode` in interface `PinTanConfig`
Returns:
  wenn QR-Code-Abfrage erzeugt werden soll. false, wenn weiterhin ein Flicker-Code erscheinen soll.
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.isConvertFlickerToQRCode()`

### setConvertFlickerToQRCode

public void setConvertFlickerToQRCode(boolean b) throws RemoteException
Description copied from interface: `PinTanConfig`
Legt fest, ob statt einem Flicker-Code eine QR-Code-Abfrage erscheinen soll.

Specified by:
  `setConvertFlickerToQRCode` in interface `PinTanConfig`
Parameters:
  `b` - true, wenn QR-Code-Abfrage erzeugt werden soll. false, wenn weiterhin ein Flicker-Code erscheinen soll.
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.setConvertFlickerToQRCode(boolean)`

### getTanMedias

public String[] getTanMedias() throws RemoteException
Description copied from interface: `PinTanConfig`
Liefert die Liste der zuletzt eingegebenen TAN-Medien-Bezeichnungen.

Specified by:
  `getTanMedias` in interface `PinTanConfig`
Returns:
  Liste der zuletzt eingegebenen TAN-Medien-Bezeichnungen.
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.getTanMedias()`

### setTanMedias

public void setTanMedias(String[] names) throws RemoteException
Description copied from interface: `PinTanConfig`
Speichert die Liste der zuletzt eingegebenen TAN-Medien-Bezeichnungen.

Specified by:
  `setTanMedias` in interface `PinTanConfig`
Parameters:
  `names` - die Liste der zuletzt eingegebenen TAN-Medien-Bezeichnungen.
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.setTanMedias(java.lang.String[])`

### getAvailableTanMedias

public List<String> getAvailableTanMedias() throws RemoteException
Description copied from interface: `PinTanConfig`
Liefert die Liste der von der Bank gelieferten TAN-Medien-Bezeichnungen.

Specified by:
  `getAvailableTanMedias` in interface `PinTanConfig`
Returns:
  Liste der von der Bank gelieferten TAN-Medien-Bezeichnungen. Nie NULL sondern hoechstens eine leere Liste.
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.getAvailableTanMedias()`

### setAvailableTanMedias

public void setAvailableTanMedias(String list) throws RemoteException
Description copied from interface: `PinTanConfig`
Speichert die Liste der von der Bank gelieferten TAN-Medien-Bezeichnungen.

Specified by:
  `setAvailableTanMedias` in interface `PinTanConfig`
Parameters:
  `list` - die Liste der von der Bank gelieferten TAN-Medien-Bezeichnungen als Pipe-separierte Liste.
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.setAvailableTanMedias(java.lang.String)`

### addTanMedia

public void addTanMedia(String name) throws RemoteException
Description copied from interface: `PinTanConfig`
Fuegt ein neues TAN-Medium zur Liste der bekannten hinzu.

Specified by:
  `addTanMedia` in interface `PinTanConfig`
Parameters:
  `name` - die neue TAN-Medien-Bezeichnung.
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.addTanMedia(java.lang.String)`

### getTanMedia

public String getTanMedia() throws RemoteException
Description copied from interface: `PinTanConfig`
Liefert das zuletzt verwendete TAN-Medium.

Specified by:
  `getTanMedia` in interface `PinTanConfig`
Returns:
  das zuletzt verwendete TAN-Medium.
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.getTanMedia()`

### setTanMedia

public void setTanMedia(String name) throws RemoteException
Description copied from interface: `PinTanConfig`
Speichert das zuletzt verwendete TAN-Medium.

Specified by:
  `setTanMedia` in interface `PinTanConfig`
Parameters:
  `name` - das zuletzt verwendete TAN-Medium.
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.setTanMedia(java.lang.String)`

### getShowTan

public boolean getShowTan() throws RemoteException
Description copied from interface: `PinTanConfig`
Prueft, ob die TAN waehrend der Eingabe angezeigt werden soll.

Specified by:
  `getShowTan` in interface `PinTanConfig`
Returns:
  true, wenn die TANs angezeigt werden sollen.
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.getShowTan()`

### setShowTan

public void setShowTan(boolean show) throws RemoteException
Description copied from interface: `PinTanConfig`
Legt fest, ob die TANs bei der Eingabe angezeigt werden sollen.

Specified by:
  `setShowTan` in interface `PinTanConfig`
Parameters:
  `show` - true, wenn sie angezeigt werden sollen.
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.setShowTan(boolean)`

### getCustomProperty

public String getCustomProperty(String name) throws RemoteException
Description copied from interface: `PinTanConfig`
Liefert ein Custom-Property.

Specified by:
  `getCustomProperty` in interface `PinTanConfig`
Parameters:
  `name` - Name des Property.
Returns:
  Wert des Property.
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.getCustomProperty(java.lang.String)`

### setCustomProperty

public void setCustomProperty(String name, String value) throws RemoteException
Description copied from interface: `PinTanConfig`
Speichert ein Custom-Property.

Specified by:
  `setCustomProperty` in interface `PinTanConfig`
Parameters:
  `name` - Name des Property.
  `value` - Wert des Property.
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.setCustomProperty(java.lang.String, java.lang.String)`

### reload

public void reload() throws RemoteException
Description copied from interface: `PinTanConfig`
Forciert ein Neuladen das in der Config gespeicherten Passport.

Specified by:
  `reload` in interface `PinTanConfig`
Throws:
  `RemoteException`
See Also:
  - `PinTanConfig.reload()`